%define name harissa
%define version alpha3.02
%define release 1glibc

%define builddir $RPM_BUILD_DIR/%{name}-%{version}
%define buildroot /tmp/%{name}-%{version}

Summary: Harissa Java-to-C compiler.
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.blackdown.org/java-linux.html
Copyright: Sun Java License.
Group: Development/Languages
Packager: C. Scott Ananian <cananian@alumni.princeton.edu>
Source: http://www.irisa.fr/compose/harissa/harissa-3.gcc.Linux2.0.tar.gz
Patch: harissa.patch
BuildRoot: %{buildroot}
AutoReqProv: no

%description
Harissa is a Java environment that includes a compiler from Java bytecode 
to C and a Java interpreter.  Harissa is written in C and provides an 
efficient and flexible solution for the execution of Java applications. 

%prep
%setup -c
%patch -p1

%build

%install
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
mkdir -p $RPM_BUILD_ROOT/usr/local/harissa
cp -r bin include lib libjdk lib/mmwithgc lib/mmwithout \
	$RPM_BUILD_ROOT/usr/local/harissa
cp bin/harissa_config.csh $RPM_BUILD_ROOT/etc/profile.d

%post

%clean
/bin/rm -rf $RPM_BUILD_ROOT

%files
%doc doc/*
/etc/profile.d/harissa_config.csh
/usr/local/harissa/*
